import copy


def empty_field(size=3, empty_sym=' '):
    return [[empty_sym]*size for i in range(size)]


class PlayField:

    def __init__(self, field, empty_sym):
        self.field = field
        self.empty_sym = empty_sym

    def get_empty_positions(self):
        free = []
        for r in range(len(self.field)):
            for c in range(len(self.field[0])):
                if self.is_empty(r,c):
                    free.append((r,c))
        return free

    def is_empty(self, r, c):
        return self.field[r][c] == self.empty_sym

    def copy_field(self):
        return copy.deepcopy(self.field)